Name:          open-xchange-guard-backend-mailfilter
BuildArch:     noarch
BuildRequires: ant
BuildRequires: java-1.8.0-openjdk-devel
BuildRequires: open-xchange-mailfilter >= 7.10.4
Version:       2.10.4
%define        ox_release 5
Release:       %{ox_release}_<CI_CNT>.<B_CNT>
Group:         Applications/Productivity
License:       GPL-2.0
BuildRoot:     %{_tmppath}/%{name}-%{version}-build
URL:           http://www.open-xchange.com/
Source:        %{name}_%{version}.orig.tar.bz2
Summary:       OX Guard Mail Filter
Autoreqprov:   no
Requires:      open-xchange-mailfilter >= 7.10.4

%description
This package adds the bundles for Guard mailfilter actions and tests.

Authors:
--------
    Open-Xchange

%prep

%setup -q

%build

%install
export NO_BRP_CHECK_BYTECODE_VERSION=true
ant -lib build/lib -Dbasedir=build -DdestDir=%{buildroot} -DpackageName=%{name} -f build/build.xml clean build

%post
. /opt/open-xchange/lib/oxfunctions.sh

# prevent bash from expanding, see bug 13316
GLOBIGNORE='*'

%clean
%{__rm} -rf %{buildroot}

%files
%defattr(-,root,root)
%dir /opt/open-xchange/bundles/
/opt/open-xchange/bundles/*
%dir /opt/open-xchange/osgi/bundle.d/
/opt/open-xchange/osgi/bundle.d/*

%changelog
* Tue Nov 24 2020 Greg Hill <greg.hill@open-xchange.com>
Build for patch 2020-11-23 (5907)
* Wed Aug 12 2020 Greg Hill <greg.hill@open-xchange.com>
Build for patch 2020-08-24 (5844)
* Tue Jul 28 2020 Greg Hill <greg.hill@open-xchange.com>
First candidate for 2.10.4 release
* Tue Jun 30 2020 Greg Hill <greg.hill@open-xchange.com>
Second preview of 2.10.4 release
* Wed May 20 2020 Greg Hill <greg.hill@open-xchange.com>
Initial release. * First preview of 2.10.4 release
